# BEGIN SourceDeps(oneline):
BuildRequires: python-devel
# END SourceDeps(oneline)
%global major_ver 19
%global gm_state_dir %{_sharedstatedir}/gnumed
%global gm_server_dir %{gm_state_dir}/server

Name:		gnumed-server
Version:	%{major_ver}.8
Release:	alt1_4
Summary:	The GNUmed back end server
Group:		Office
%if 0%{?rhel}
%endif
License:	GPLv2+
URL:		http://wiki.gnumed.de/
Source0:	http://www.gnumed.de/downloads/server/v%{major_ver}/%{name}.%{version}.tgz
BuildArch:  noarch

Requires: python
Requires: python-module-psycopg2
# bootstrap requires files from client package
Requires: gnumed
Requires: mailx
Requires: bzip2
Requires: gnupg2
Requires: openssl
Requires: postgresql-server
Requires: rsync
Requires: libmx
Source44: import.info

%description
The GNUmed project builds an open source Electronic Medical Record.
It is developed by a handful of medical doctors and programmers from
all over the world. It can be useful to anyone documenting the health
of patients, including but not limited to doctors, physical therapists,
occupational therapists.

%prep
%setup -q -n gnumed-server.%{version}

%build

%install
pushd server

#Copy to %%{gm_server_dir}
mkdir -p %{buildroot}%{gm_server_dir}
ln -s %{gm_server_dir} %{buildroot}%{gm_state_dir}/Gnumed
for dirent in bootstrap pycommon sql __init__.py;
do
  cp -pr $dirent %{buildroot}%{gm_server_dir}/
done
echo "%{version}" > %{buildroot}%{gm_server_dir}/version.txt

# silence bootstrap process by setting interactive to 'no' and set 'gm-dbo' as default password
for conffile in `find %{buildroot}/%{gm_server_dir}/bootstrap -maxdepth 1 -type f -name \*.conf` ; do \
   sed -i.bak1 's/^\(interactive[[:space:]]*=[[:space:]]*\)yes/\1no/' "$conffile" ; \
   sed -i.bak 's/^\(password[[:space:]]*=[[:space:]]*\)/\1 gm-dbo/' "$conffile" ; \
done


#copy config files to /etc
mkdir -p %{buildroot}%{_sysconfdir}/gnumed
for conf in `ls etc/gnumed/*.conf.example`;
    do mv $conf `echo $conf|sed 's/.example//'`;
done
cp -p -r etc/gnumed/*.conf %{buildroot}%{_sysconfdir}/gnumed

#create .gz files and copy them to mandir
mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_mandir}/man1/

for man in `ls doc/*.*`; \
    do gzip $man; \
done
cp -p doc/*.8.gz %{buildroot}%{_mandir}/man8
cp -p doc/*.1.gz %{buildroot}%{_mandir}/man1


#remove .sh extensions
#copy all scripts to bin dir
mkdir -p %{buildroot}%{_bindir}
rename ".sh" "" *.sh
cp gm-* %{buildroot}%{_bindir}


popd


%files
%doc server/GnuPublicLicense.txt server/doc/README server/doc/schema
%{gm_state_dir}
%{_bindir}/gm-*
%{_mandir}/man8/gm-*
%{_mandir}/man1/gm-*
%config(noreplace) %{_sysconfdir}/gnumed/*.conf

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 19.8-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 19.8-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 19.8-alt1_2
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 19.5-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 18.6-alt1_2
- update to new release by fcimport

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 18.6-alt1_1
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 18.5-alt1_1
- update to new release by fcimport

* Tue May 21 2013 Igor Vlasenko <viy@altlinux.ru> 18.4-alt1_1
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 18.3-alt1_1
- update to new release by fcimport

* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 18.2-alt1_1
- update to new release by fcimport

* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 18.1-alt1_1
- update to new release by fcimport

* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 18.0-alt1_1
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 17.6-alt1_3
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 17.6-alt1_2
- initial fc import

